Package be.fgov.ehealth.dics.protocol.v5

# Class AtcClassificationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.AtcClassificationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class AtcClassificationType extends Object implements Serializable

Java class for AtcClassificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AtcClassificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtcClassificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `String`
  `getDescription()`
  Gets the value of the description property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtcClassificationType

    public AtcClassificationType()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`